Config = {}

Config.UseTarget = GetConvar('UseTarget', 'false') == 'true' -- Use qb-target interactions (don't change this, go to your server.cfg and add `setr UseTarget true` to use this and just that from true to false or the other way around)

local isServer = IsDuplicityVersion()
if not isServer then
    --- This function will be triggered once the hack is done
    --- @param success boolean
    --- @param currentGate number
    --- @param gateData table
    --- @return nil
    function Config.OnHackDone(success, currentGate, gateData)
        if success then
            TriggerServerEvent("prison:server:SetGateHit", currentGate)
            TriggerServerEvent('qb-doorlock:server:updateState', gateData.gatekey, false, false, false, true)
        else
            TriggerServerEvent("prison:server:SecurityLockdown")
        end
        TriggerEvent('mhacking:hide')
    end
end

Config.Jobs = {
    ["electrician"] = "Electrician"
}

Config.Uniforms ={
    ['male'] = {
        outfitData ={
            ['t-shirt'] = {item = 15, texture = 0},
            ['torso2'] = {item = 198, texture = 0},
			['arms'] = {item = 0, texture = 0},
			['pants'] = {item = 50, texture = 0},
			['shoes'] = {item = 6, texture = 0},
        }
    },
    ['female'] = {
        outfitData ={
            ['t-shirt'] = {item = 8, texture = 0},
			['torso2'] = {item = 229, texture = 0},
			['arms'] = {item = 4, texture = 0},
			['pants'] = {item = 157, texture = 6},
			['shoes'] = {item = 5, texture = 2},
        }
    },
}

Config.Locations = {
    jobs = {
        ["electrician"] = {
            [1] = {
                coords =  vector4(-692.03, 95.51, 4.71, 173.28),
            },
            [2] = {
                coords =  vector4(-692.03, 91.96, 4.71, 266.47),
            },
            [3] = {
                coords =  vector4(-691.93, 75.35, 4.71, 270.16),
            },
            [4] = {
                coords =  vector4(-784.07, 72.18, 3.21, 21.77),
            }
        }
    },
    ["freedom"] = {
        coords =  vector4(-844.41, 108.04, 7.21, 79.72)
    },
    ["outside"] = {
        coords =  vector4(-910.44, 119.23, 3.07, 82.62)
    },
    ["yard"] = {
        coords =  vector4(-730.08, 61.89, 3.94, 268.19)
    },
    ["middle"] = {
        coords = vector4(-851.54, 102.19, 3.22, 218.50)
    },
    ["shop"] = {
        coords =  vector4(-846.25, 103.27, 3.21, 358.69)
    },
    spawns = {
        [1] = {
            animation = "bumsleep",
            coords =  vector4(-836.73, 86.86, 4.63, 265.58)
        },
        [2] = {
            animation = "lean",
            coords =  vector4(-737.74, 95.20, 3.84, 233.77) 
        },
        [3] = {
            animation = "sitchair4",
            coords =  vector4(-847.92, 98.80, 3.67, 271.82) 
        }
    }
}

Config.CanteenItems = {
    [1] = {
        name = "sandwich",
        price = 4,
        amount = 50,
        info = {},
        type = "item",
        slot = 1
    },
    [2] = {
        name = "water_bottle",
        price = 4,
        amount = 50,
        info = {},
        type = "item",
        slot = 2
    }
}
